Subject: bug#75910: 31; Deprecate minibuffer-completing-file-name

From: Daniel Mendler <[email-masked]>
Date: Tue, 28 Jan 2025 18:33:43 +0100

Drew Adams <[email-masked]> writes:

>> I think it should be removed like
>> `minibuffer-completing-symbol' which has already been removed.
>
> That variable shouldn't have been removed either.

Well, we disagree here.

> Checking the Emacs code base isn't relevant for knowing whether or how
> something is used. Elisp code is much wider than the Emacs code base.

Of course. But the completion category as a sufficient replacement is
available already. Deprecation does not imply immediate removal.

Daniel